<?php require_once 'couch/cms.php'; ?>
    <cms:no_cache />
    
    <cms:set order_complete_msg="<cms:get_flash 'order_complete_msg' />" />  
    <cms:if order_complete_msg >
        <cms:show order_complete_msg />
    <cms:else />
    
        <cms:if "<cms:pp_count_items />" >
        
            <h2>Your order summary</h2>
            <cms:pp_cart_items>
                <a href="<cms:show link />"><cms:show title /></a> <br />
                <cms:pp_selected_options separator='<br>' /> <br />
                Price: <cms:show price /> <br />
                Quantity: <cms:show quantity /> <br />
                Amount: $<cms:number_format line_total /> <br />
                <br />
            </cms:pp_cart_items>
            
            <hr>
            <cms:if "<cms:pp_discount />" || "<cms:pp_shipping />" || "<cms:pp_taxes />" >
                Subtotal: $<cms:number_format "<cms:pp_sub_total />" /> <br />
            </cms:if>

            <cms:if "<cms:pp_discount />">
                Discount: -$<cms:number_format "<cms:pp_discount />" /> <br />
            </cms:if>
            
            <cms:if "<cms:pp_shipping />">
                Shipping: $<cms:number_format "<cms:pp_shipping />" /> <br />
            </cms:if>
            
            <cms:if "<cms:pp_taxes />">
                Taxes: $<cms:number_format "<cms:pp_taxes />" /> <br />
            </cms:if>
            
            Total: $<cms:number_format "<cms:pp_total />" /> <br />
            <hr>
            

            <h2>Your shipping details</h2>            
            <cms:form method="post" anchor='0'>
                
                <cms:if k_success >
                    <cms:set email_from='sales@yoursite.com' />   
                    <cms:set email_bcc='you@yoursite.com' />   
                    <cms:set email_subject='Your order with XYZ.com' />
                    <cms:set email_debug='1' />    
                    
                    <cms:embed 'sales_email.html' />    

                    <cms:set_flash name='order_complete_msg' value="<cms:embed 'sales_success_msg.html' />"/>
                    
                    <cms:pp_empty_cart />
                    <cms:redirect k_page_link />
                </cms:if>
                
                <cms:if k_error >
                    <div class="error" style="color:red;">
                        <ul>
                        <cms:each k_error >
                            <li><cms:show item /></li>
                        </cms:each>
                        </ul>
                    </div>
                </cms:if>   
                
                <cms:fieldset label='Shipping details'>
                    <cms:input type="text"
                        name="name"
                        label="Name"
                        maxlength="100"                       
                        required='1' />

                    <cms:input type="text"
                        name="email"
                        label='Email'
                        maxlength="100"
                        validator='email'
                        required='1' />

                    <cms:input type="textarea" 
                        name="address"  
                        label='Address'
                        cols="35" 
                        rows="5" 
                        required='1' />
                </cms:fieldset>
               
                
                <input name="submit" type="submit" value="Place Order" />
                
            </cms:form>
                    

        <cms:else />
            <div class="message">
                <p class="info">Your cart is empty!</p>
            </div>
        </cms:if>
    </cms:if>

<?php COUCH::invoke(); ?>